#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"

#include "rr_main.h"
#include "rr_screen.h"


void
on_screen_destroy                      (GtkObject       *object,
                                        gpointer         user_data)
{
  gtk_main_quit();
}


gboolean
on_screen_button_press_event           (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{
  GtkMenu *menu;
  GdkEventButton *event_button;

    menu = GTK_MENU (create_menu1());

    g_return_val_if_fail (widget != NULL, FALSE);
    g_return_val_if_fail (event != NULL, FALSE);

    /* The "widget" is the menu that was supplied when 
     * gtk_signal_connect_object was called.
     */

    if (event->type == GDK_BUTTON_PRESS)
      {
        event_button = (GdkEventButton *) event;
        if (event_button->button == 3)
          {
            gtk_menu_popup (menu, NULL, NULL, NULL, NULL, 
                            event_button->button, event_button->time);
            return TRUE;
          }
      }

  return FALSE;
}


gboolean
on_draw_area_expose_event              (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  return(RRScreenRedraw(widget, event, user_data));
}


void
on_chara1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  ChangeFace(0);
}


void
on_chara2_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  ChangeFace(1);
}


void
on_chara3_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  ChangeFace(2);
}


void
on_chara4_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  ChangeFace(3);
}


void
on_chara5_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  ChangeFace(4);
}


void
on_chara6_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  ChangeFace(5);
}


void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gtk_main_quit();
}













